You are not logged in.

#1 2012-05-29 23:55:46

RussianKid
Member
Registered: 2012-05-29
Posts: 10

Unigraphics NX6 native install issues

Hi everyone

I'm a 3 day arch user, I've installed and configured everything so far without problem, with one exception: I need Unigraphics, and wouldn't like to resort to wine or a virtual machine.

I've tried the most generic option of:

sudo sh ug_install

which returns:

ug_install: line 30: print: command not found
ug_install: line 98: alias: -x: invalid option
alias: usage: alias [-p] [name[=value] ... ]
ug_install: line 99: alias: -x: invalid option
alias: usage: alias [-p] [name[=value] ... ]


ug_install: line 1576: print: command not found
ug_install: line 1577: print: command not found
ug_install: line 1578: print: command not found
ug_install: line 1581: print: command not found
ug_install: line 1582: print: command not found
ug_install: line 1583: print: command not found
ug_install: line 1584: print: command not found
ug_install: line 1585: print: command not found

ug_install: line 1597: print: command not found
ug_install: line 329: print: command not found

README mentions that this is intended for Novell linux, perhaps that's why it's not finding print? What can I do about this?
I'm guessing that at the very least I'll have to use a different terminal client.
Having googled the alias command, I couldn't find out what the -x was intended to do, so I tried removing it, which did remove the errors, but I know this isn't a proper fix.

ug_install.ans
ug_install.hlp
ug_install
README

Google wasn't much help, which wasn't a surprise considering this is quite obscure. Does anyone have any suggestions?

Offline

#2 2012-05-30 00:56:55

RunningDroid
Member
Registered: 2012-05-12
Posts: 10

Re: Unigraphics NX6 native install issues

The problems you are having are because the script was written for ksh, instead of sh.

The 'alias -x' line is supposed to export the alias that is created and the 'print' line is intended to print to the terminal, if you want to try translating it to sh.

Offline

#3 2012-05-30 03:54:27

RussianKid
Member
Registered: 2012-05-29
Posts: 10

Re: Unigraphics NX6 native install issues

The problems you are having are because the script was written for ksh, instead of sh.

I installed ksh, and the install script ran perfectly, thanks. Now, it's installed, and when I run:

sudo ksh ugii

The otuput is:

WARNING: you should be calling ksh with /bin/ksh,
not with /usr/bin/ksh. Please execute chsh to fix
this. Legacy /usr/bin/ksh support will go away!


                Starting NX ...

Then the splash screen opens, then the main window (just the frame, no components inside), waits for a bit and then closes, with this on the terminal:

====================================================
Failed to handle error condition correctly - exiting
General Fault Exception
====================================================
====================
Fatal error detected
====================

For other NX errors of this type, an error code is given which isn't the case here. Once again, although I have made progress I am completely stuck, help anyone?

Offline

#4 2012-05-30 17:24:04

RussianKid
Member
Registered: 2012-05-29
Posts: 10

Re: Unigraphics NX6 native install issues

I put on openSUSE, and it installed fine under that, so I will give it another try on arch from scratch, and failing that try changing my window manager.

Offline

#5 2012-12-14 18:02:19

omeringen
Member
Registered: 2012-05-28
Posts: 109

Re: Unigraphics NX6 native install issues

@RussianKid,
Have you found a way to install unigraphics ?

Offline

#6 2012-12-14 18:09:54

RussianKid
Member
Registered: 2012-05-29
Posts: 10

Re: Unigraphics NX6 native install issues

No I've not. The only progress that I've made is identifying the issue more precisely by looking at the log files. This is the relevant part of the latest one, showing exactly what errors occur. If you manage to install it, please let me know..

Native license authentication detected presence of User Function license
Successfully loaded dynamic module /usr/ugs060/ugweld/startup/weld_uf_startup.so
Number of types: 9
Native license authentication detected presence of User Function license
Successfully loaded dynamic module /usr/ugs060/ugprocess_aid/startup/mpaw_uf_startup.so
Native license authentication detected presence of User Function license
Successfully loaded dynamic module /usr/ugs060/nxship/startup/libship_iuf_actions.so
MB_LOADED_MENU_FILE Using UGII_MAIN_MENU_FILE setting, successfully loaded menu file: /usr/ugs060/ugii/menus/ug_main.men
MB_LOADED_MENU_FILE Using UGII_VIEW_POPUP_MENU_FILE setting, successfully loaded menu file: /usr/ugs060/ugii/menus/ug_view_popup.men
MB_LOADED_MENU_FILE Loaded startup menu file: /usr/ugs060/ugalliance/site/startup/uf_mold_mf.men
MB_LOADED_MENU_FILE Loaded startup menu file: /usr/ugs060/ugweld/startup/ug_weld.men
MB_LOADED_MENU_FILE Loaded startup menu file: /usr/ugs060/mach/auxiliary/batch/startup/ug_cam_add_batch.men
MB_LOADED_MENU_FILE Loaded startup menu file: /usr/ugs060/ugautomotive/bodydes/startup/bodydes_app.men
MB_LOADED_MENU_FILE Loaded startup menu file: /usr/ugs060/ugautomotive/dieeng/startup/dieeng_app.men
MB_LOADED_MENU_FILE Loaded startup menu file: /usr/ugs060/ugautomotive/diedes/startup/diedes_app.men
MB_LOADED_MENU_FILE Loaded startup menu file: /usr/ugs060/ugautomotive/diedes/startup/presslinesim_app.men
MB_LOADED_MENU_FILE Loaded startup menu file: /usr/ugs060/ugimw/startup/iware_integ.men
MB_LOADED_MENU_FILE Loaded startup menu file: /usr/ugs060/ugautomotive/packaging/startup/ug_vd_app.men
MB_LOADED_MENU_FILE Loaded startup menu file: /usr/ugs060/nxship/startup/ug_ship_app.men
MB_LOADED_MENU_FILE Loaded startup menu file: /usr/ugs060/nxship/startup/ug_drafting_shipbuilding_app.men
MB_LOADED_MENU_FILE Loaded startup menu file: /usr/ugs060/ugpcbxchange/startup/pcbm_app.men
Cannot convert string "-adobe-helvetica-medium-r-normal--12-120-75-75-p-*-iso8859-1" to type FontStruct
Cannot convert string "-adobe-helvetica-bold-r-normal--12-120-75-75-p-*-iso8859-1" to type FontStruct
*** EXCEPTION: O/S ERROR: signal  11 in line 1679 of /plm/cynas/iproot/ugnx60/build/sandbox/src/syss/error/ind/error.cxx at Tue Oct  9 14:26:43 2012 UTC
+++ General Fault Exception
[ 0] 7f3ffd9c86ba near UGS::Error::Exception::printTracebackToLog()+0x92 (libsyss.so)
[ 1] 7f3ffd9c874a near UGS::Error::Exception::doTraceback(bool) const+0x2e (libsyss.so)
[ 2] 7f3ffd98b53f near UGS::Error::Signal::Signal(char const*, int, int, char const*, __va_list_tag*)+0x43 (libsyss.so)
[ 3] 7f3ffd98b408 near UGS::Error::Signal::raise(char const*, int, int, char const*, __va_list_tag*)+0x1a (libsyss.so)
[ 4] 7f3ffd98b3e6 near UGS::Error::Signal::raise(char const*, int, int, char const*, ...)+0x80 (libsyss.so)
[ 5] 7f3ffd8fb5c7 near general_fault_handler(int)+0x133                (libsyss.so)
[ 6] 7f3fefd8a020 -- signal --                                         (libc.so.6)
[ 7] 7f3fefdd22f4 near __GI___libc_free+0x14                           (libc.so.6)
[ 8] 7f3ff0405939 

Offline

#7 2012-12-18 09:13:27

omeringen
Member
Registered: 2012-05-28
Posts: 109

Re: Unigraphics NX6 native install issues

@RussianKid,
I installed NX8.5 x64 but failed to install license server software. I followed a comment ;

ug nx 8.5 can be used on different platforms (not only SuSE Linux Enterprise Desktop 11 SP1 or Red Hat Enterprise Linux 6.0)  with ug_install modified.
     1)Delete exit 1 at  Line 100 to disable Linux version check.
     2)Find suitable X11/app_defaults folder and replace all "X11_DEFS_DIR=/usr/lib/X11/app-defaults" to "X11_DEFS_DIR=<path>/X11/app-defaults"(e.g.  Ubuntu:/etc/X11/app-defaults)
    3)Add the line  "X11_DEFS_DIR=<path>/X11/app-defaults" under "else" at Line 98 to manually help ug_install define X11 folder when the Linux version is not SLES11 or RHEL6.
    4) Hacked. Go and commit suicide .

Remember to install libstdc++5 and libmotif3. Some newer versions of Linux only have libmotif4, you have to download libmotif3(rpm or deb or blablabla...) As UG NX 6 needs these two libraries, I am not certain whether UG NX 8.5 can run without them. Bigtiger has reported that lmgrd does not run properly due to a lack of libraries, and libstdc++5 & libmotif3 may be a possible cause.

Furthermore, ksh and tcsh are needed.

Last edited by omeringen (2012-12-18 09:20:46)

Offline

Board footer

Powered by FluxBB